Gentoo Archives: gentoo-amd64

From: Harry Holt <harryholt@×××××.com>
To: gentoo-amd64@l.g.o
Subject: Re: Outside of portage (was Re: [gentoo-amd64] Kernel-3.3.0 and Nvidia-drivers)
Date: Fri, 23 Mar 2012 15:03:48
Message-Id: CAAUqkJ07yJANWGdMeHYR-AJjkkRGvdqFxM=W9CFKyyB7cA3eXg@mail.gmail.com
In Reply to: Re: Outside of portage (was Re: [gentoo-amd64] Kernel-3.3.0 and Nvidia-drivers) by Benny Pedersen
On Fri, Mar 23, 2012 at 4:42 AM, Benny Pedersen <me@××××.org> wrote:

> Den 2012-03-23 00:33, Harry Holt skrev: > >> The only thing I use outside of Portage is Tomcat. Because Im a >> >> webapp developer and the Portage package is a big, steaming PITA. >> > > suggestions go into bugs.g.o > >
Been there, done that. Nothing changes, or is really even properly acknowledged. For example bug 282071 ( https://bugs.gentoo.org/show_bug.cgi?id=282071) was closed as a duplicate, even though it's about ROOT and manager, not about "Examples". The so-called duplicate 283273 (https://bugs.gentoo.org/show_bug.cgi?id=283273) is nearly 3 years old with no resolution, or even work-around. Not even the nearly-as-old bugs submitted to at least document the brokenness are resolved (https://bugs.gentoo.org/show_bug.cgi?id=277688). The thing simply has tons of issues that require major pain to work around: http://forums.gentoo.org/viewtopic-t-713224-start-0-postdays-0-postorder-asc-highlight-.html http://forums.gentoo.org/viewtopic-t-874051-highlight-tomcat.html http://forums.gentoo.org/viewtopic-t-886428-highlight-tomcat.html I doubt there are many people that use it, since it's so much easier just to download the package from Apache.org and drop it in /opt, and it just works. I get that there are issues with the Tomcat up-stream, but it doesn't change the fact that it takes hours to get it working, and updates often break the work done to get things properly in place.
> > Sorry about the top-post. Gmail on Android. >> > > stop using it so, it works for your ebuilds, why not here ? >
Because the benefits outweigh any issues - unlike the Portage Tomcat package, which is pretty much unusable. Thx... HH